\renewcommand{\NUMEVENTS}{39}

\newcommand{\RateGalaxyDouble}{1.9$-$11.0 $\times 10^{-4}$  } 
\newcommand{\RateGalaxySingle}{5.0$-$19.5 $\times 10^{-4}$  }
\newcommand{\RateClusterDouble}{0.8$-$4.4 $\times 10^{-4}$ }
\newcommand{\RateClusterSingle}{2.0$-$7.6 $\times 10^{-4}$}


\renewcommand{\RateAboveTwo}{\ensuremath{3.3_{-0.7}^{+0.9}\times{10^{-4}}}}
\renewcommand{\RateAboveThirty}{\ensuremath{2.7_{-0.1}^{+0.2}\times{10^{-5}}}}

\renewcommand{\RateModelAGalaxyDouble}{\ensuremath{0.8\text{--}4.3\times{10^{-4}}}}
\renewcommand{\RateModelAGalaxySingle}{\ensuremath{2.6\text{--}8.6\times{10^{-4}}}}
\renewcommand{\RateModelAClusterDouble}{\ensuremath{0.4\text{--}1.7\times{10^{-4}}}}
\renewcommand{\RateModelAClusterSingle}{\ensuremath{1.3\text{--}3.7\times{10^{-4}}}}

\renewcommand{\RateModelBGalaxyDouble}{\ensuremath{0.5\text{--}14.0\times{10^{-4}}}}
\renewcommand{\RateModelBGalaxySingle}{\ensuremath{1.2\text{--}24.0\times{10^{-4}}}}
\renewcommand{\RateModelBClusterDouble}{\ensuremath{0.4\text{--}7.0\times{10^{-4}}}}
\renewcommand{\RateModelBClusterSingle}{\ensuremath{0.8\text{--}11.0\times{10^{-4}}}}

\newcommand{\golum}{\textsc{golum}\xspace}

\newcommand{\Clu}{\mathcal{C}^\mathrm{L}_\mathrm{U}}
\newcommand{\BLU}{\textsf{B}^\mathrm{L}_\mathrm{U}}

\renewcommand{\BMLU}{\mathcal{B}_\mathrm{U}^\mathrm{Micro}}

\def\Rlu{{\mc{R}_\textsc{u}^\ell}}
\def\fdm{{f_\mathrm{DM}}}
\def\LambdaL{{\Lambda_\ell}}
\def\NL{{N_\ell}}
\def\ZL{{Z_\ell}}
\def\pL{{p_\ell}}

\textbf{Note:} This chapter is an adaptation of the LIGO-Virgo-KAGRA collaboration-wide publication:
\begin{adaption}
	\begin{centering}
		LIGO and Virgo Scientific Collaboration, R.~Abbott, ...(850 authors)..., \textbf{Alvin K. Y. Li}, ...(842 authors)..., ``Search for gravitational-lensing signatures in the full third observing run of the LIGO-Virgo network'', \emph{arXiv e-prints}, 2023. \textsc{doi}:\texttt{10.48550/arXiv.2304.08393}.
	\end{centering}
\end{adaption}
\textbf{Alvin K.~Y.~Li} is one of the editorial leads for writing this LIGO-Virgo-KAGRA collobration-wide paper and led the analysis for the search for sub-threshold lensed gravitational waves (Section 3.1). The other related sections in this chapter are contributions from co-authors. 

\section{Introduction}
\label{sec:O3b_intro}
%\fixme{Rephrase this or remove this completely. You don't need another introduction to lensing!}

%Gravitational lensing occurs when a massive object bends spacetime in a way 
%that alters the path or properties of a propagating wave. Gravitational lensing 
%is expected to affect gravitational waves, resulting, for example, in repeated signals, 
%(de-)magnification of the amplitude, phase shifts, and beating 
%patterns~\citep{Ohanian:1974ys,Thorne:1982cv,Deguchi:1986zz,Wang:1996as,Nakamura:1997sw,Takahashi:2003ix}.
%The exact alteration of the gravitational waveform depends on the nature of the lens system.

%For massive lenses, gravitational lensing changes the gravitational wave amplitude without 
%affecting the frequency evolution~\citep{Wang:1996as,Dai:2017huk,Ezquiaga:2020gdt}.
%Moreover, such systems may also produce multiple signals observed as repeated events 
%separated by a time delay of minutes to months for galaxies~\citep{Ng:2017yiu,Li:2018prc,Oguri:2018muv}, 
%and up to years for galaxy clusters~\citep{Smith:2017mqu,Smith:2018gle,Smith:2019dis,Robertson:2020mfh,Ryczanowski:2020mlt}.
%The current-generation gravitational wave detector network has a realistic chance of detecting the 
%first lensed signal within its operation period~\citep{Ng:2017yiu,Li:2018prc,Oguri:2018muv}.

%For low-mass lenses, such as stars or compact objects, microlensing introduces 
%beating patterns in the waveform~\citep{Deguchi:1986zz,Nakamura:1997sw,Takahashi:2003ix,Cao:2014oaa,Jung:2017flg,Lai:2018rto,Christian:2018vsi,Dai:2018enj,Diego:2019rzc}.
%More generally, a field of light lenses may produce even more complex patterns 
%on the gravitational waveform \citep{Diego:2019lcd,Pagano:2020rwj,Cheung:2020okf}.
%Under the right conditions and with sufficient knowledge about the lens, these 
%beating patterns may be observable with current-generation gravitational wave detectors.

%The detection of lensed gravitational waves paves the way for numerous scientific pursuits, 
%including source localization~\citep{Hannuksela:2020xor} and 
%characterization~\citep{Lai:2018rto,Diego:2019rzc,Oguri:2020ldf}, 
%precision cosmology~\citep{Sereno:2011ty,Liao:2017ioi,Cao:2019kgn,Li:2019rns,Hannuksela:2020xor}, 
%and tests of general relativity~\citep{Baker:2016reh,Collett:2016dey,Fan:2016swi,Goyal:2020bkm,Ezquiaga:2020dao}.
%Indeed, the prospects for fundamental physics and astrophysics have sparked 
%a wide interest in searching for lensed gravitational waves.
%Previous work from the LIGO--Virgo Collaboration has considered a range of 
%strong and microlensing signatures for events in the first half of the third 
%observing run (O3a) \citep{LIGOScientific:2021izm}.
%Nevertheless, these studies have yielded no confident evidence for gravitational wave lensing.

In this chapter, we search for a variety of lensing signatures in the third 
LIGO Scientific, Virgo, and KAGRA (LVK) Collaboration Gravitational-Wave 
Transient Catalog (GWTC-3)~\citep{KAGRA:2021vkt} and study its 
implications for gravitational wave lensing. In particular, we expand on the lensing 
results presented for the first half of the third observing run of the 
LIGO--Virgo network (O3a)~\citep{LIGOScientific:2021izm} by including 
the signals found in the second half of the third observing run (O3b) 
and by including additional analyses to further test the lensing 
hypothesis and interpret their outcomes. First, we search for the effects 
of strong lensing by studying the similarity and lensing evidence for 
pairs of binary black holes mergers. We consider both pairs of detected mergers 
(super-threshold) and pairs formed by detected mergers and candidates 
that nominally fall below the detection threshold (sub-threshold) with 
consistent waveform morphologies. Second, we search for evidence of 
microlensing induced by point-mass lenses. Finally, we constrain the 
expected rate of lensed signals, black holes merger-rate density, and the 
fraction of dark matter composed of compact objects.

It is important to note that GWTC-3 is a cumulative catalog describing 
all the gravitational wave transients found in all observing runs to date: O1, O2, 
O3a, and O3b.  O1 made observations between 2015 September 12 00:00 UTC 
to 2016 January 19 16:00 UTC, O2 between 2016 November 30 16:00 UTC to 
2017 August 25 22:00 UTC, O3a between 2019 April 1 15:00 UTC to 2019 October 1 15:00 UTC, 
and O3b between 2019 November 1 15:00 UTC to 2020 March 27 17:00 UTC.

Results of all analyses in this paper and associated data products can 
be found in \citet{datarelease}. gravitational wave strain data \citep{gwosc:gwtc3} 
and posterior samples \citep{ligo_scientific_collaboration_and_virgo_2021_5546663} 
for all events from GWTC-3 are available from the Zenodo platform or the 
Gravitational Wave Open Science Center~\citep{LIGOScientific:2019lzm}.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Data and Events}
\label{sec:O3b_data}

The analyses presented here expand on the lensing results from the first 
half of O3 (also referred to as O3a) by documenting new results from the 
second half of O3 (also referred to as O3b) using GWTC-3~\citep{KAGRA:2021vkt}.
The O3a lensing results paper~\citep{LIGOScientific:2021izm} used the 
GWTC-2 catalog~\citep{LIGOScientific:2020ibl}. Since then, GWTC-2.1~\citep{LIGOScientific:2021usb} has 
reclassified $2$ of the candidates used in the O3a lensing paper as having 
a probability of astrophysical origin of less than $0.5$ and are not included 
in the results described here, specifically GW190424\_180648 and GW190909\_114149.
GWTC-3 also includes $5$ events that were identified by the O3a lensing 
sub-threshold search using the TESLA pipeline introduced in Chatper \ref{Chapter: traditional_tesla}, namely GW190925\_233845, 
GW190426\_190642, GW190725\_184728, GW190805\_211137, and GW190916\_200658.

Various instrumental upgrades have led to more sensitive data in O3b, with 
a median binary neutron star inspiral ranges~\citep{LIGOScientific:2011jth,Allen:2005fk} 
of $115$ Mpc in O3b compared to $108$ Mpc in O3a for LIGO Hanford, $133$ Mpc in 
O3b compared to $135$ Mpc O3a for LIGO Livingston, and $51$ Mpc in O3b compared 
to $45$ Mpc in O3a for Virgo~\citep{KAGRA:2021vkt}. The duty factor for at least one 
detector being online was $96.6\%$; for any two detectors being online at the 
same time was $85.3\%$; and for all three detectors together was $51\%$. Further 
details regarding instrument performance and data quality for O3b are available 
in \citet{KAGRA:2021vkt,LIGO:2021ppb,Virgo:2022fxr}.

The LIGO and Virgo detectors used a photon recoil-based 
calibration~\citep{Karki:2016pht,LIGOScientific:2017aaj,Viets:2017yvy} resulting 
in a complex-valued, frequency-dependent detector response. Previous studies 
have documented the systematic error and uncertainty bounds for O3b strain 
calibration in LIGO~\citep{Sun:2020wke,Sun:2021qcg} and Virgo~\citep{VIRGO:2021kfv}.

Transient noise sources, referred to as glitches, contaminate the data and 
can affect the confidence of candidate detections. Times affected by glitches 
and other data quality issues are identified so that searches for gravitational wave 
events can exclude (veto) these periods of poor data 
quality~\citep{LIGOScientific:2016gtq,LIGOScientific:2019hgc,LIGO:2021ppb,AdvLIGO:2021oxw,Fiori:2020arj}.
In addition, several known persistent noise sources are subtracted from the 
data using information from witness auxiliary sensors~\citep{LIGOScientific:2018kdd,Davis:2018yrz}.

Candidate events, including those reported in~\citet{KAGRA:2021vkt} and the new 
candidates found by the search for sub-threshold counterpart images in 
Sec.~\ref{sec:O3b_subthreshold} of this chapter, have undergone a validation 
process to evaluate if instrumental artifacts could affect the analysis; 
this process is described in detail in Sec. 5.5 of~\citet{LIGO:2021ppb}.
This process can also identify data quality issues that need further 
mitigation for individual events, such as the subtraction of 
glitches~\citep{Cornish:2020dwh,Davis:2022ird} and non-stationary noise 
couplings~\citep{Vajente:2019ycy}, before executing parameter estimation algorithms.
See Table XIV of \citet{KAGRA:2021vkt} for the list of events requiring such mitigation.

The GWTC-3 catalog~\citep{KAGRA:2021vkt} contains $35$ events from O3b in addition 
to the $55$ previous events from previous observing runs~\citep{LIGOScientific:2021usb} 
with a False-Alarm-Rate below two per year, and an expected rate of contamination 
from detector noise less than $10$--$15\%$~\citep{KAGRA:2021vkt}. We neglect the 
potential contamination in this analysis. These events were identified by 
four search pipelines: one minimally modeled transient search 
\cwb~\citep[][]{Klimenko:2004qh,Klimenko:2005xv,Klimenko:2006rh,Klimenko:2011hz,Klimenko:2015ypf} 
and three matched-filter searches GstLAL~\citep{Sachdev:2019vvd, Hanna:2019ezx, 2017PhRvD..95d2001M}, 
MBTA~\citep{Adams:2015ulm,Aubin:2020goo}, 
and \pycbc~\citep{Allen:2005fk,Allen:2004gu,DalCanton:2014hxh,Usman:2015kfa,Nitz:2017svb}.
Their parameters were estimated through Bayesian inference using 
the \texttt{bilby}~\citep{Ashton:2018jfp, Smith:2019ucc,Romero-Shaw:2020owr} 
and \texttt{RIFT}~\citep{Pankow:2015cra,Lange:2017wki,Wysocki:2019grj} packages.
Both the matched-filter searches and parameter estimation use a variety of binary black holes waveform 
models which generally combine knowledge from post-Newtonian theory, the 
effective-one-body formalism, and numerical relativity 
\citep[for general introductions to these approaches, see][ and references therein]{Blanchet:2013haa,Damour:2016bks,Palenzuela:2020tga,Schmidt:2020ekt}.
The analyses in this paper rely on the same methods, and the specific 
waveform models and analysis packages used are described in each section.

Of the $35$ events from O3b, $31$ are likely binary black holes, while four have 
component masses consistent with being below $3$\,$\Msun$~\citep{LIGOScientific:2021qlt,KAGRA:2021vkt}, 
thus potentially containing a neutron star. We consider these $35$ events 
in the analyses documented in this paper. Specifically, we use the 
following input data sets for each analysis. The searches for sub-threshold 
counterpart images in Sec.~\ref{sec:O3b_subthreshold} cover the whole O3 
strain data set, using the same data quality veto choices as 
in~\citet{KAGRA:2021vkt} but a strain data set consistent with the parameter estimation 
analyses: the final calibration version of LIGO data~\citep{Sun:2021qcg} 
with additional noise subtraction~\citep{Vajente:2019ycy}. The posterior-overlap analysis 
in Sec.~\ref{sec:O3b_posterioroverlap} starts from the posterior samples 
released with GWTC-3~\citep{gwosc:gwtc3}. The joint-parameter estimation analyses 
in Sec.~\ref{sec:O3b_jointpe} and microlensing analysis in Sec.~\ref{sec:O3b_microlensing} 
reanalyze the strain data in short segments around the event times, 
available from the same data release, with data selection and noise 
mitigation choices matching those of the parameter estimation analyses in~\citet{KAGRA:2021vkt}.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Strong lensing}
\label{sec:O3b_multiimages}

If a gravitational wave travels close enough to a massive lens, it will produce 
multiple images, with the number of images depending on the lens profile 
and source lens geometry. This regime is known as the strong-lensing limit. 
Each of these lensed images $h_j^\mathrm{L}$ will have a change in its 
amplitude, arrival time and phase compared to the emitted 
signal $h$~\citep{1992grle.book.....S}: 
\begin{equation}
	h_j^\mathrm{L}(f) = \sqrt{|\mu_j|}\exp\left[{i2\pi f\Delta t_j-i\mathrm{sign}(f)n_j\pi}\right]h(f)\,,
\label{eq:O3b-strong-lens}
\end{equation}
for $n_j=0,1/2,1$ for type I, II and III images, which correspond to 
different minima of the lensing potential. While the magnification 
$\mu_j$ and time delay $\Delta t_j$ do not affect the waveform morphology 
(they are completely degenerate with the luminosity distance and coalescence time) 
the frequency-independent lensing phase shift $n_j\pi$ could induce distortions 
when the signal has multiple frequency components~\citep{Dai:2017huk,Ezquiaga:2020gdt}. 
In particular, this occurs for type II images since type I does not have a 
phase shift, and type III only flips the overall sign, which is degenerate 
with shifting the polarization angle by $\pi/2$. 
The $\mathrm{sign}(f)$ term is only there to ensure that the time domain waveform is real.

Making a distinction between effects that do and do not change the waveform 
morphology, we divide our search into two parts. First, we search for pairs 
of events consistent with the strong-lensing hypothesis. Some of these pairs 
will have sufficiently strong amplitudes that can be identified as confident 
detections (super-threshold) by the search pipelines used in~\citet{LIGOScientific:2020ibl,LIGOScientific:2021usb,KAGRA:2021vkt}, 
while others may have not been identified as signals (sub-threshold) because 
of the relative de-magnification. Our searches will include both sub- and super-threshold pairs. 
A pair is the minimum association, but higher multiplicities are also possible. 
Then, we search for strong lensing focusing on the distortion of type II images. 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\subsection{\underline{Sub-threshold Search}}
\label{sec:O3b_subthreshold}

In this section, we describe the search for possible sub-threshold 
counterparts of super-threshold detections from O3. We perform searches 
over all O3 strain data following the rules for data selection described 
in \citet{LIGOScientific:2021usb} and \citet{KAGRA:2021vkt}. A general search for gravitational waves uses 
a large template bank covering a broad parameter space as we have no prior 
information about the signal subspace, resulting in a high trials factor 
and hence incurring a high noise background. Sub-threshold (lensed) gravitational waves 
with smaller amplitudes will therefore be easily buried in the noise without 
being identified as detections as they cannot pass the usual detection threshold.

To uncover these sub-threshold (lensed) signals, we have to effectively 
reduce the noise background while keeping the targeted foreground 
(i.e. the signals) constant~\citep{Li:2019osa,McIsaac:2019use,Dai:2020tpj}. 
The strong lensing hypothesis asserts that lensed gravitational waves, super-threshold 
or sub-threshold, coming from the same origin have identical waveforms apart 
from an overall scaling factor and a Morse phase factor as described in 
Eq.~\ref{eq:O3b-strong-lens}, and hence should have consistent inferred 
intrinsic masses and spins.
\footnote{
The Morse phase factor for different image types has not been considered 
in the search described here. Should a gravitational wave include detectable higher-order 
multipole moments, then the Morse phase factor will cause complicated changes 
to the waveforms, inducing a loss in the search sensitivity.
}
Therefore, we can construct a reduced template bank with only templates 
that have masses and spins similar to those of a target super-threshold 
detection. Using the reduced bank lowers the trials factors and noise 
background and effectively searches for previously unidentified possible 
sub-threshold lensed counterparts to the target detection. For each known 
candidate from O3 with a probability of astrophysical origin $p_\text{astro}>0.5$, 
we create a reduced template bank using their respective public posterior 
mass and spin samples released with GWTC-3~\citep{gwosc:gwtc3}, ensuring 
that the templates will match well with their respective target events 
while improving the ranking statistics of the search for similar events, 
and hence potentially returning new candidates that previously did not 
reach the threshold $p_\text{astro}>0.5$ in GWTC-3. Details of how the 
reduced banks are constructed can be found in~\citet{Li:2019osa}.

Given these template banks, we proceed with configurations and procedures 
as outlined in \citet{LIGOScientific:2021izm} to produce a priority list 
of potential lensed candidates matching each target event, using 
GstLAL~\citep{2017PhRvD..95d2001M,Sachdev:2019vvd} as the search pipeline.
The list of candidates obtained is again further vetted using a sky 
location consistency check detailed in~\citet{Wong:2021lxf,LIGOScientific:2021izm} 
to ensure the candidates have consistent sky location with the target event.
To avoid false dismissal at this step, we only veto candidates with an 
overlap in $90\%$ credible region of the sky location \mbox{$O_{90\% \mathrm{CR}}=0$}.
All candidates with non-vanishing localization overlap are kept for 
further follow-up with data quality checks as discussed in Sec.~\ref{sec:O3b_data}.

In Table~\ref{table:o3b-subthresh-search-results-top}, we list the top 
five candidates from the \emph{individual} targeted searches for 
counterparts of the detections reported in O3. As in the O3a lensing 
paper \citep{LIGOScientific:2021izm}, we do not assess in detail the 
probability of astrophysical origin for each of these. It is also 
important to note that the reported \far[s] do not indicate how likely 
each trigger is a lensed counterpart of the target event, but only how 
likely noise produces a trigger with a ranking statistic higher or equal 
to that of the candidate under consideration using these reduced template banks. 
Similar to \citet{LIGOScientific:2021izm}, we account for the fact that 
we have analyzed $\sim 332$ days of data multiple times for a total of 
$76$ events, and set the False-Alarm-Rate threshold to be $1$ in $69$ years 
(i.e. $4.59\times10^{-10}$ Hz).
We followed up on the top two candidates listed that passed the 
False-Alarm-Rate threshold through \texttt{golum}'s joint PE 
analysis \citep[discussed in \ref{sec:O3b_jointpe}]{Janquart:2021qov}. 
The results are included in Table~\ref{table:o3b-subthresh-search-results-top}. 
Since both pairs of candidates have mildly \emph{negative} $\log_{10}$ 
coherence ratios, showing that there is no evidence supporting the 
lensing hypothesis for either of these pairs, we did not further 
follow them up with the more computationally intensive \texttt{hanabi} 
analysis \citep[discussed in \ref{sec:O3b_jointpe}]{Lo:2021nae}.

\begin{table*}
\caption{}
\label{table:o3b-subthresh-search-results-top}
	Top $5$ candidates from individual sub-threshold searches for strongly-lensed counterpart images of O3 events from GWTC-3.
\begin{center}
\begin{adjustbox}{minipage=1.2\textwidth, center}
\begin{tabular}{cccccc}
	Target event & Lensed candidate (UTC) & $\Delta t$ [days] & \far $\left[\text{yr}^{-1}\right]$ & $O_{90\%\mathrm{CR}}$ [\%] & $\log_{10}(\Clu)$ \\
	\hline
	GW$190930\_133541$ & 19-08-05 13:43:48 & $-56.0$ & 0.002 & $61.00\%$ & $-6.4$\\
	GW$191204\_171526$ & 19-08-05 13:43:48 & $-121.1$ & 0.006 & $25.40\%$ & $-12.2$\\
	GW$190828\_065509$ & 19-11-12 12:13:18 & $76.2$ & 0.023 & $18.00\%$ & - \\
	GW$190725\_174728$ & 19-08-05 13:43:48 & $10.8$ & 0.038 & $39.50\%$ & -\\
	GW$190828\_065509$ & 20-02-06 07:24:59 & $162.0$ & 0.154 & $36.00\%$ & - \\
	\hline
\end{tabular}
\end{adjustbox}
\end{center}
\tablecomments{
	The first column lists the target event from O3. 
	The second column shows the time (YY-MM-DD HH-MM-SS) in UTC of the found sub-threshold candidate.
	The third column shows the time difference (in days) between the candidate and the target event.
	The fourth column shows the redshifted chirp mass of the template that found the trigger.
	The fifth column shows the redshifted chirp mass of the target event.
	The sixth column shows the \far[s] from the individual search for the new candidate from the second column.
	The seventh column shows the percentage overlap of the $90\%$ sky localization regions between the candidate and the target event.
	The eighth column shows the $\log_{10}$ coherence ratio obtained from \texttt{golum}'s joint PE analysis.
}
\end{table*}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\subsection{\underline{Preliminary Identification of Lensed Pair Candidates}}
\label{sec:O3b_posterioroverlap}

Multiple, non-overlapping images produced by strongly lensed gravitational wave 
signals have identical phase evolution, and therefore their intrinsic 
parameters (as well as their orbit's inclination with respect to the 
line of sight) are expected to have overlapping posteriors. In addition, 
the angular separations of images (produced by galaxies or galaxy clusters) 
are several orders of magnitude smaller than the uncertainties associated 
with their gravitational wave sky location. As a result, their sky localisations 
will also overlap. (As in the previous section, the Morse phase for 
different image types is not considered here.)

Under these assumptions, a Bayes-factor statistic ($\BLU$) that assesses 
the consistency between a lensed candidate pair's posterior distributions 
of intrinsic parameters, sky location, and inclination angle (and thus 
acts as a discriminator between the lensed and unlensed hypotheses) 
can be constructed \citep{Haris:2018vmn}. To convert this statistic 
to a False-Positive-Probability,%
\footnote{
	False-Alarm-Rate and False-Positive-Probability, while conceptually similar, pertain to 
	different contexts in this work. In particular, we use False-Positive-Probability 
	exclusively for significances associated with candidate lensed 
	pairs to discriminate them from unlensed pairs. On the other 
	hand, a False-Alarm-Rate is associated with the significance assigned 
	to individual candidate gravitational wave signal events.
} 
a background distribution of unlensed $\BLU$ needs to be estimated. 

To that end, we conduct an injection campaign involving binary black holes only, 
in which we sample component masses $m_{1,2}$ from a power-law 
distribution \citep{LIGOScientific:2016kwr} in the range $(10$--$50 M_{\odot})$.
We assume that the redshift distribution of binary black holes is similar to 
population synthesis simulations of isolated binary 
evolution \citep{Belczynski:2005mr,Belczynski:2010tb,Dominik:2013tma,Eldridge:2018nop,Bouffanais:2021wcr,Zevin:2020gbd}.
All other parameters are sampled from uninformative prior 
distributions \citep{Haris:2018vmn}. We inject the simulated signals 
into Gaussian noise with O3a representative Power Spectral Density for a 
LIGO--Virgo detector network. We compute $\BLU~$for all possible pairs 
in this injection set, and following \citet{LIGOScientific:2021izm}, 
we assign an False-Positive-Probability to a candidate pair using its $\BLU$. Candidate 
lensed pairs involving binary neutron star or neutron-star-black-hole events are not analyzed 
and ranked.

We additionally employ a Machine Learning-based binary classification scheme 
to rapidly provide a probability of class membership (lensed or 
unlensed) for a given candidate binary black holes pair \citep{Goyal:2021hxv}.
Such an analysis not only serves as an independent method to rank 
candidate pairs but also provides a quantitative significance to 
pairs for which source-parameter inference samples are unavailable.

Q-transform-based \citep{Chatterji:2004qg} time--frequency maps of 
strongly lensed binary black holes are expected to have similar shapes, 
although the signal energy in each time-frequency tile will differ 
between images. Furthermore, as mentioned earlier, their sky 
localisations will overlap. Exploiting these facts, Machine Learning models 
that take Q-transforms and \texttt{Bayestar} \citep{Singer:2015ema} 
sky localisations as inputs, are built. These models use a 
\texttt{DenseNet} \citep{Huang:2016ML} architecture \citep[with several layers pre-trained on the \texttt{ImageNet} dataset;][]{Deng:2009ML}, 
and \texttt{XGBoost} \citep{Chen:2016btl} algorithms, trained on 
lensed and unlensed binary black holes signals injected in Gaussian noise 
(for details on the Machine Learning training set, see \citet{Goyal:2021hxv}) 
The outputs of the individual models are then combined to provide a 
probability that a candidate pair is lensed or unlensed.

To convert this probability to an False-Positive-Probability, we construct a background 
distribution of Machine Learning probabilities using a population of unlensed 
binary black holes events injected in Gaussian noise characterized by the O3a 
representative Power Spectral Density -- the same as was used for the posterior 
overlap statistic. This Power Spectral Density is found to be sufficiently similar 
to the averaged O3 Power Spectral Density for the estimation of the background 
distribution so as not to change the preliminary selection of 
candidate pairs. The binary black holes population is identical to the one 
used by the posterior overlap statistic analysis to construct its 
corresponding background distribution. Furthermore, the sky localisations 
used to rank candidate pairs come from the same PE analysis used to 
estimate the posterior overlap statistic 
\footnote{
	Note that \texttt{Bayestar}, which is used to assign Machine Learning 
	probabilities to real-event candidate pairs, is expected to 
	provide sky localisations that are similar to those provided 
	by this parameter estimation analysis.
}.   

A plot comparing the False-Positive-Probabilities assigned by the posterior overlap 
and Machine Learning analyses is shown in Fig.~\ref{fig:POML}.  Candidates 
that have either a posterior-overlap-assigned False-Positive-Probability or 
Machine Learning-assigned-False-Positive-Probability,  (or both), that are smaller than $1\%$, 
are selected for more comprehensive Bayesian analyses.

\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{ML_BLU_scatter_hist_FPPs.pdf}
\caption{
	The False-Positive-Probabilities of each lensed candidate pair constructed from the set of gravitational wave 
	events that exceed an astrophysical probability \citep{Farr:2013yna,Kapadia:2019uut} 
	threshold of $0.5$, as evaluated using the $\BLU~$ and Machine Learning classification statistics.
	Orange dashed lines that correspond to an False-Positive-Probability threshold of $10^{-2}$, are also placed.
	Pairs whose $\BLU$-based or Machine Learning-based False-Positive-Probabilities fall below this threshold are selected 
	for additional joint parameter estimation analyses. $\BLU < 10^{-6}$ has been mapped to an 
	False-Positive-Probability of $1$, which is reflected in the gap along the vertical axis between $0.4$ and $1$.}
\label{fig:POML}
\index{figures}
\end{figure}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\subsection{\underline{Joint Parameter Estimation}}
\label{sec:O3b_jointpe}

Similar to the analysis of O3a data~\citep{LIGOScientific:2021izm}, we 
perform a joint PE analysis for the most relevant candidate lensing pairs.
We follow up on the pairs that display low FPP in their posterior overlap 
or Machine Learning classification scheme. 
These are pairs within the whole of O3, but we only consider here those 
with at least one event in O3b since pairs in O3a were studied 
in \citet{LIGOScientific:2021izm}.
We use two complementary pipelines: \texttt{golum} \citep{Janquart:2021qov} 
and \texttt{hanabi} \citep{Lo:2021nae}. 
Both pipelines use the nested sampling algorithm \texttt{dynesty}~\citep{10.1093/mnras/staa278}, 
and implement the joint PE with the help of \texttt{bilby}~\citep{Ashton:2018jfp, Romero-Shaw:2020owr}. 

\texttt{golum} \citep{Janquart:2021qov} is a joint PE tool where the 
workload is reduced by analyzing the two images, under the lensed 
hypothesis, in two successive stages. 
The first image is characterized by the same parameters of the 
unlensed case (where the time of coalescence and the luminosity 
distance are the observed ones) with an additional Morse factor. 
The second image is then analyzed using (samples of) the 
posterior from the first image as the prior and linking the 
parameters modified by lensing through three lensing parameters: 
a time difference, a relative magnification, and a Morse factor 
difference. 
The final coherence ratio $\Clu$ is the ratio of the product of 
the evidences for the two runs under the lensed hypothesis and 
the product of evidences for the two images analyzed under the 
unlensed hypothesis. 

\texttt{hanabi}~\citep{Lo:2021nae} first performs a joint inference 
on a signal pair by constructing a joint likelihood function that 
is a product of the likelihood function for each individual event, 
with a joint prior distribution. 
The latter is defined for a set of joint parameters that can 
simultaneously describe both signals if they are truly lensed, for 
example, the masses and the spins, as well as a set of parameters 
that are different for each of the signals such as the time of arrival, 
the apparent luminosity distance, and the Morse phase factor associated 
to each of the lensed signals. 
The joint parameter space is explored with the package \texttt{hanabi.inference}~\citep{Lo:2021nae}. 
The inference result is then reweighted with an astrophysically motivated 
prior distribution; for example, the astrophysical prior distribution 
for the redshifted component masses would be dependent on both the 
population model for the intrinsic BBH masses and the redshift distribution 
of the sources. 
However, the true source redshift cannot be determined from gravitational wave 
observations alone since the true source redshift is degenerate with 
the magnification from strong lensing. 
To compute the Bayes factor $\Blu$, the source redshift, which serves 
as a hyper-parameter for the signal pair, must be marginalized over. 
Selection effects enter as a normalization constant to the marginal 
data likelihood. 
This procedure is implemented in \texttt{hanabi.hierarchical} with 
the help of \textsc{gwpopulation} \citep{Talbot:2019okv}.
The ratio of unnormalized evidences calculated under the lensed hypothesis 
and the unlensed hypothesis using this astrophysical prior is referred 
to as the population-weighted coherence ratio $\left.\cohratio\right|_\mathrm{pop}$, 
while the ratio of normalized evidences that accounts for both population 
prior and selection effects is referred to as the Bayes factor $\Blu$ 
in this analysis. 
We follow our fiducial Singular Isothermal Sphere lensing model when computing the 
magnification prior~\citep{LIGOScientific:2021izm}. 
This analysis however does not impose any informative prior on the time 
delay or the image types from the lensing model.

Both pipelines use \IMRXPHM~\citep{Pratten:2020ceb} as the waveform model, 
with an additional Morse phase applied to each of the waveform 
polarizations in the frequency domain. 
Other inputs, such as the power spectral density estimates and the 
calibration envelopes, are chosen to match the analyses done in the 
GWTC-3 catalog paper \citep{KAGRA:2021vkt}.
Following the same prescriptions of the other analyses, we fix the 
BBH population model to the Power-Law + Peak model for the primary 
masses and the merger rate history to Madau--Dickinson star-formation 
rate \citep{Madau:2014bja} normalized by the median GWTC-3 rate \citep{KAGRA:2021duu}.

Taking advantage of \texttt{golum}'s rapid joint PE, we analyze the 
$75$ pairs of candidates highlighted by posterior overlap and Machine Learning. 
For each of them, we compute the coherence ratio, which accounts for 
the probability ratio of the lensed and unlensed hypotheses without 
including selection effects and population priors. 
We find that there is a wide range of $\log_{10}(\Clu)$ values, 
with a peak slightly above zero. 
This comes from the fact that this analysis considers only triggers 
already flagged by the posterior overlap and Machine Learning analyses. 
As a consequence, the analysis is biased towards the higher values.
Nevertheless, a significant proportion of events flagged with the 
Machine Learning pipeline and the posterior overlap pipeline are disfavored, 
having $\log_{10}(\Clu)<0$. 
When comparing the highest coherence ratio found in the data, 
$\log_{10}(\Clu) = 2.5$, with a background of unlensed events, we 
find that it is well within the expected values, with $1\%$ of the 
background events having larger $\Clu$. 
This background is computed for a population of compact binaries 
that follows the mass, spin and redshift distribution of 
GWTC-3 \citep{KAGRA:2021duu}.  
This large number of positive  $\log_{10}(\Clu)$ is consistent 
with the high number of expected false alarms~\citep{Wierda:2021upe,Caliskan:2022wbh}. 
For those pairs with the highest coherence ratio, we follow up 
with the \texttt{hanabi} pipeline for a total of $17$ pairs. 
Our main results are presented in Fig. \ref{fig:O3b_bayes_factor_from_hanabi}, 
where the left column indicates the event pairs and the horizontal 
axis their $\Blu$.
There we can observe that none of the event pairs shows support 
for the lensing hypothesis, i.e. all $\Blu<1$. 
The pair with highest $\Blu$ is GW190620\_030421 -- GW200216\_220804, 
for an evidence against lensing of $\sim 1/100$ with the fiducial 
merger rate density model following the Madau-Dickinson 
star-formation rate.
As a robustness check of how using different merger rate density 
models would change the results, we repeat the calculations using 
two more models, namely $R_\mathrm{min}(z)$ and $R_\mathrm{max}(z)$ 
from our previous O3a analysis \citep{LIGOScientific:2021izm} that 
minimally and maximally bracket many existing population-synthesis 
results~\citep{Belczynski:2005mr,Belczynski:2010tb,Dominik:2013tma,Eldridge:2018nop}.
We see that while the exact values for the Bayes factor change 
with the use of different merger rate density models, the 
conclusion remains that there is no support for the lensing 
hypothesis in any of the event pairs analyzed.
To further assess the significance of these pairs we also include 
a color code to indicate the probability of having an astrophysical 
origin $p_\mathrm{astro}^\mathrm{pair}$, defined as the product of 
the highest $p_\mathrm{astro}$ of each event reported in the GWTC-3 
catalog paper \citep{KAGRA:2021vkt} by different pipelines.
In conclusion, we find no evidence of multiply imaged events.

\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{bayes_factor_strip_pastro_combined.pdf}
\caption{
	Bayes factors $\Blu$ from \texttt{hanabi} for the highest-ranked multiple-image candidate pairs.
	As a check on the robustness of our results, we show the Bayes factors calculated using three different merger rate density models, namely the fiducial model tracking the Madau--Dickinson star-formation rate \citep{Madau:2014bja}, and also the $R_\mathrm{min}(z)$ and $R_\mathrm{max}(z)$ model introduced in \citet{LIGOScientific:2021izm}.
	The color for each marker represents the value of $p_\mathrm{astro}^\mathrm{pair}$ for each pair, which is the probability that both of the signals from a pair are of astrophysical origins and not from terrestrial sources.
}
\label{fig:O3b_bayes_factor_from_hanabi}
\index{figures}
\end{figure}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\subsection{\underline{Type II image search}}
\label{sec:O3b_typeII}

In addition to the search for strong-lensing identifying multiple 
images, we also look for the distortions that lensing introduces 
in type II images \citep{Ezquiaga:2020gdt}.
This is because the frequency-independent phase shift that each 
image acquires becomes a frequency-dependent time delay for 
different frequency components. 
Therefore, for signals containing different measurable spherical 
harmonic modes, as recently detected in GW190412~\citep{LIGOScientific:2020stg}, 
GW190814~\citep{LIGOScientific:2020zkf}, and other events~\citep{KAGRA:2021vkt}, 
the overall lensed waveform can be distorted. 
The extent of the distortion is subject to the power in modes 
beyond the quadrupole radiation. 
As a consequence, we do not expect to see these distortions in 
the majority of the lensed events with current sensitivities. 
However, if not searched for, they might be mistaken with 
deviations from general relativity~\citep{Ezquiaga:2022nak}.

To look for these distortions, we use \golum \citep{Janquart:2021qov}. 
Within GWTC-3 we identify $10$ events whose posterior has some 
information about the Morse phase, either by favoring or disfavoring 
the distortions of the type II image by more than $4\%$ with 
respect to normality, i.e. the probability of each image type 
$p(n_j)$ is $p(n_j)>0.37$ or $p(n_j)<0.29$. 
We summarize the evidence of one image type versus another 
in Fig.~\ref{fig:O3b_MorsePhase_Blu}. 
Since only type II images display waveform distortions, we 
only compute the Bayes factors of the type-II-vs-I and the 
type-II-vs-III hypotheses.
As can be seen in Fig.~\ref{fig:O3b_MorsePhase_Blu}, only a few 
events display a preference for one image type versus the other one.
This is expected given the signal-to-noise ratio of these events and their 
power in higher multipole moments. 
However, GW190412 and GW200129\_065458 present higher evidence 
for type II images. 
For GW190412 we find a $\log_{10}$ Bayes factor for type II 
vs. I of $0.60 \pm 0.16$ and for type II vs. III of $0.22 \pm 0.16$. 
For GW200129\_065458 we find $0.38\pm0.14$ and $0.24\pm0.14$ 
for type II vs. I and type II vs. III respectively. 
These events have possible super-threshold counterparts 
but those were discarded by the \golum analysis. 
In addition, we have also searched for sub-threshold triggers 
associated with these events, but found none.

\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{log10B_IIvsIandIIvsIII_WithCandidates.pdf}
\caption{
	Distribution of Bayes factors comparing different image type hypotheses for the 10 most relevant events.
	We compare the probability of being type II vs. type I (blue-solid histogram) and of being type II vs. type III (orange-dashed histogram).
	Only type II images display waveform distortions and for that reason, we do not compare type III vs. type I.
}
\label{fig:O3b_MorsePhase_Blu}
\index{figures}
\end{figure}

To assess the significance of the type II images, we follow 
up on GW190412 and GW200129\_065458 performing a simulation 
campaign of type I and type II images. 
GW190412 simulations show that indeed this event has enough 
power in higher multipole moments to favor the type II hypothesis 
so that it could meaningfully test that hypothesis and would 
favor it if it were true. 
For GW200129\_065458, however, that is not the case. Moreover, 
GW200129\_065458 might have a significant glitch under 
subtraction~\citep{Payne:2022spz}.
The preference of GW190412 for a type II image could be just 
a systematic effect due to the waveform modeling, especially 
since this event falls in challenging parts of the parameter 
space~\citep{LIGOScientific:2020stg,Colleoni:2020tgc,Hannam:2021pit}. 
For this reason, we repeat the analysis with different waveform 
families from our fiducial \IMRXPHM model~\citep{Pratten:2020ceb}. 
We find that the preference for a type II image remains when 
using \textsc{SEOBNRv4PHM}~\citep{Ossokine:2020kjp} or 
\textsc{IMRPhenomPv3HM}~\citep{Khan:2019kot}. 
The same conclusion holds when using different noise realizations 
for the simulations. 
Details on these simulation campaigns can be found in 
Appendix \ref{sec:O3b_app_typeII}.


Although we find a mild preference for the type II image hypothesis 
in GW190412, we find that this analysis cannot provide conclusive 
evidence of strong lensing. 
However, our techniques and pipeline will be relevant for future 
observing runs when high-signal-to-noise ratio events display stronger evidence 
of higher-order modes.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Microlensing Effects}
\label{sec:O3b_microlensing}

When the characteristic wavelengths of gravitational waves are comparable to 
the Schwarzschild radius of a lens ($\lambda_\mathrm{GW}\sim R^\mathrm{lens}_\mathrm{Sch}$), 
we may observe frequency-dependent magnification of the waveform 
that can inform us about the lens 
model~\citep{Takahashi:2003ix,Cao:2014oaa,Jung:2017flg,Lai:2018rto,Christian:2018vsi,Dai:2018enj,Diego:2019lcd,Diego:2019rzc,Pagano:2020rwj,Cheung:2020okf,Cremonese:2021puh,Caliskan:2022hbu}.
Since the gravitational waves of sources such as binary black holes sweeps through a 
wide range of frequencies, these beating patterns can reveal the 
presence of intervening microlenses.
In the sensitive range of ground-based detectors, these effects 
are expected for objects up to $\sim 10^5 M_{\sun}$, which includes 
stellar-mass objects and intermediate-mass black holes.

Objects that can cause these microlensing effects are predominantly 
found in larger structures.
Therefore we expect that realistic microlensing due to a field of 
microlenses embedded in an external macromodel potential such as 
galaxies and galaxy clusters causes complex effects on the unlensed 
waveforms~\citep{Diego:2019lcd}.
While the effects of these systems on gravitational wave signals have been 
studied \citep{Diego:2019rzc,Cheung:2020okf,Mishra:2021xzz,Yeung:2021chy}, 
the resulting waveforms are computationally costly to evaluate.
Nevertheless, in the absence of specific knowledge of the matter 
distribution along the travel path and to keep the problem computationally 
tractable, we assume that the beating patterns are caused by 
isolated point masses as a first approximation.
In this case, the microlensed waveform $h^\mathrm{Micro}$ can be 
related to the unlensed waveform $h^\mathrm{U}$ according to
\begin{equation}
	h^\mathrm{Micro}(f;\theta, \MzL, y) = h^\mathrm{U}(f;\theta) \, F(f; \MzL, y)\,,
\label{eq:wl_lens_hyp}
\end{equation}
where $\theta$ represents the set of parameters defining an unlensed 
gravitational wave signal, \mbox{$\MzL = M_\mathrm{L} (1+\zL)$} is the redshifted 
lens mass, $y$ is the dimensionless impact parameter, and $F(f; \MzL, y)$ 
is the frequency-dependent lensing magnification factor \citep[e.g.,][]{Takahashi:2003ix}.

Similar to \citet{LIGOScientific:2021izm}, we perform Bayesian inference 
on all events from O3b using the unlensed signal model $h^\mathrm{U}$ 
and the microlensing signal model $h^\mathrm{Micro}$.
In particular, we use \texttt{bilby}~\citep{Ashton:2018jfp, Romero-Shaw:2020owr} 
and the nested sampling algorithm \texttt{dynesty}~\citep{10.1093/mnras/staa278}.
Data products such as strain data and Power Spectral Densities are the same as for GWTC-3 
and between the two signal models \citep{KAGRA:2021vkt}.
For the gravitational wave parameters, we use the same priors as GWTC-3, 
while the prior on the lens mass $\MzL$ is log uniform in the 
range $[1$--$10^5~\Msun]$ and the prior on the impact parameter 
is $p(y)\propto y$ between $[0.1,3]$.
All events were analyzed using \IMRXPHM~\citep{Pratten:2020ceb}.

The process yields posterior probability distributions of $\theta$ 
or $\left\{ \theta, \MzL, y \right\}$ for the unlensed and lensed 
signal models, respectively.
Moreover, we compute the evidence ratio between the microlensed 
and unlensed signal models, better known as the Bayes factor $\BMLU$.

\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{O3_microlensing_bf.pdf}
\caption{
	Distribution of microlensing $\log_{10}$~Bayes factors $\BMLU$ for all 
	events in O3 (blue, solid line) and simulated unlensed signals (orange, 
	dashed line) from \citet{LIGOScientific:2021izm}.
}
\label{fig:O3b_micro_BLUdistr}
\index{figures}
\end{figure}

Fig.~\ref{fig:O3b_micro_BLUdistr} shows the distribution of $\log_{10} \BMLU$ 
for all the events in O3 and simulated unlensed signals 
from \citet{LIGOScientific:2021izm}.
The distribution of $\log_{10} \BMLU$ is primarily clustered around $0$ and 
the distribution for O3 events does not extend to significantly 
higher values than the distribution for simulated signals.
The marginalized posteriors of the microlensing parameters 
are shown in Appendix \ref{sec:O3b_app_micro}.
We conclude that there is no compelling evidence for the 
presence of microlensing signatures.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Implications}
\label{sec:implications}

In this section, we consider some of the implications that derive from 
the search for lensing signatures.
We first forecast the number of detectable strongly lensed events based 
on the latest knowledge on the merger-rate density.
Next, we infer upper limits on the strong lensing rate using the 
non-detection of resolvable strongly lensed binary black holes events.
Finally, we use the non-detection of microlensing to infer the compact 
dark matter fraction in the Universe.

\subsection{\underline{Strong lensing rate}}
\label{sub:O3b_lensing_rate_strong}
We predict the rate of lensing using the standard methods outlined in 
the literature~\citep{Ng:2017yiu,Li:2018prc,Oguri:2018muv,Xu:2021bfn,Mukherjee:2021qam,Wierda:2021upe}, 
at galaxy and galaxy-cluster lens mass scales.
To model the lens population, we need to choose a density profile 
and a mass function. 
We adopt the Singular Isothermal Sphere density profile for both galaxies and galaxy clusters.
Moreover, we use the velocity dispersion function from the Sloan 
Digital Sky Survey \citep{Choi:2007a} for galaxies and the halo mass 
function from \citet{Tinker:2008ff} for clusters which have also been 
used in other lensing studies \citep[e.g.,][]{Oguri:2010ns,Robertson:2020mfh}.
The Singular Isothermal Sphere profile can accurately describe lensing by galaxies, but 
the mass distribution of clusters tends to be more complicated.

Under the Singular Isothermal Sphere model, we obtain two images with different magnifications and arrival times.
The rate of strong lensing is given by
\begin{equation}
	\begin{split}
		\mathcal{R}_\mathrm{lens}= \int
		& \frac{\mathrm{d}N(M_{\mathrm{h}},\zL)}{\mathrm{d}M_{\mathrm{h}}} \frac{\mathrm{d}D_{\mathrm{c}}} {\mathrm{d}\zL}
		\frac{\mathcal{R}_{\mathrm{m}}(z_{\mathrm{m}})}{1+z_{\mathrm{m}}} \frac{\mathrm{d}V_{\mathrm{c}}}{\mathrm{d}z_{\mathrm{m}}}\, \sigma(M_{\mathrm{h}},\zL,z_{\mathrm{m}},\rho, \rho_{\mathrm{c}}) \\
		&\times p(\rho|z_{\mathrm{m}}) ~\mathrm{d}\rho~\mathrm{d}z_{\mathrm{m}}~\mathrm{d}\zL~\mathrm{d}M_{\mathrm{h}} \,, 
\label{eq:rates1}
	\end{split}
\end{equation}
where $\mathrm{d} N(M_\mathrm{h},\zL) / \mathrm{d}M_{\mathrm{h}}$ is the 
differential comoving number density of lensing halos in a halo mass shell 
at lens redshift $\zL$, $D_{\mathrm{c}}$ and $V_\mathrm{c}$ are the comoving 
distance and volume, respectively, at a given redshift, $\mathcal{R}_\mathrm{m}(z_\mathrm{m})$ 
is the total comoving merger rate density at redshift $z_\mathrm{m}$, (1+$z_\mathrm{m}$) 
accounts for the cosmological time dilation, $p(\rho\mid z_{\rm m})$ is the 
distribution of signal-to-noise ratio at a given redshift, $\rho_\mathrm{c}$ is the 
network signal-to-noise ratio threshold, and $\sigma$ is the lensing cross-section which 
indicates, as a function of its various arguments, how efficiently strong 
lensing will occur. 
We model the mass distribution of binary black holes following the results for 
the \textsc{Power Law + Peak} model of~\citet{KAGRA:2021duu}.
We consider a merger rate density model that assumes the Madau--Dickinson 
ansatz~\citep{Madau:2014bja} that is consistent with recent results from 
GWTC-3.
Moreover, we make use of the absence of a detected Stochastic Gravitational Wave Background to further 
constrain the merger rate density \citep{KAGRA:2021duu}.
For consistency with previous analyses \citep[e.g.,][]{KAGRA:2021kbb}, 
we take the Hubble constant from Planck 2015 observations to be 
$H_0=67.9\ {\mathrm{km}\ \mathrm{s}^{-1}\ \mathrm{Mpc}^{-1}}$ \citep{Planck:2015fie}.

Furthermore, we choose $\rho_\mathrm{c}=8$ as a point estimator of 
the detectability of gravitational wave signals. 
We find this choice to be consistent with the search results 
in~\citet{LIGOScientific:2020ibl} and Sec.~\ref{sec:O3b_subthreshold}, and we estimate 
its impact to be subdominant compared to other sources of uncertainty.

Nevertheless, \citet{Robertson:2020mfh} have demonstrated that the 
Singular Isothermal Sphere model can reproduce the lensing rate predictions from a 
study of numerically simulated cluster lenses.
Thus, we adopt the same model for both galaxies and galaxy clusters.

\begin{table*}
\caption{
	Expected fractional rates of observable lensed double events at current LIGO--Virgo sensitivity.
}
\label{tab:O3b_lensedrates0_min}
\begin{center}
\begin{adjustbox}{minipage=1.1\textwidth, center}
\begin{tabular}{lcccc}
	\hline\hline
	Merger Rate Density & \multicolumn{2}{c} {Galaxies}  & \multicolumn{2}{c}  {Galaxy Clusters} \\
	Model &  $R_\mathrm{D}$ & $R_\mathrm{S}$ & $R_\mathrm{D}$ & $R_\mathrm{S}$\\
	\hline\hline
	GWTC-3+Stochastic  & \RateGalaxyDouble & \RateGalaxySingle & \RateClusterDouble & \RateClusterSingle \\
	\hline
\end{tabular}
\end{adjustbox}
\end{center}
\tablecomments{
	This table lists the relative rates of lensed double events expected to be 
	observed by LIGO--Virgo at the current sensitivity where both of the lensed 
	events are detected ($R_\mathrm{D}$) and only one of the lensed events is 
	detected ($R_\mathrm{S}$) above the signal-to-noise ratio threshold.
	The rates encompass a $90$~percent credible interval.
	We show the rate of lensing by galaxies ($\sigma_\mathrm{vd}=10$--$300 \,\mathrm{km~s}^{-1}$) 
	and galaxy clusters ($\log_{10}(M_\mathrm{halo}/M_\odot) \sim 14$--$16$) separately. 
}
\end{table*}

In Table~\ref{tab:O3b_lensedrates0_min}, we show our estimates for the relative rate of 
lensing expected to be observed by the LIGO--Virgo network of detectors.
The results are shown separately for galaxy-scale and cluster-scale lenses.  
Furthermore, these rates are calculated for events that are doubly lensed 
and for two cases:
when only a single event (i.e., the brighter one) is detected (S), and when 
both of the doubly lensed events are detected (D).
The expected fractional rate of lensing (i.e. the lensed to unlensed rate) 
spans the range $\mathcal{O}(10^{-4}$--$10^{-3})$, depending on the merger 
rate density assumed.
We estimate the fractional rate of observed double (single) events for 
galaxy-scale lenses to lie in the range \RateGalaxyDouble~(\RateGalaxySingle).
Similarly, for cluster-scale lenses, the fractional rate is estimated to be 
in the range of \RateClusterDouble~(\RateClusterSingle), typically lower 
than the rates on galaxy scales. 
These estimates suggest that observing a lensed double image is unlikely 
at the current sensitivity of the LIGO--Virgo network of detectors. 
Nevertheless, at design sensitivity and with future upgrades, standard 
forecasts suggest that the possibility of observing such events might 
become significant~\citep{Ng:2017yiu,Li:2018prc,Oguri:2018muv,Xu:2021bfn,Mukherjee:2021qam,Wierda:2021upe}.
Compared with other lens models, our lensing rates are consistent with 
those predicted for Singular Isothermal Ellipsoid models \citep[e.g.,][]{Oguri:2018muv,Xu:2021bfn,Wierda:2021upe}.

\subsection{\underline{Implications from the non-observation of strongly lensed events}}
\label{ssec:implications_of_non_detection}
The absence of any detections of strongly lensed gravitational wave events before 
and during O3 provides a complementary way to constrain the merger 
rates of compact objects at high redshift.
The detection of individual gravitational wave events has enabled measurement of 
the low redshift ($z<1$) merger rate \citep{KAGRA:2021duu}.
However, the high redshift merger rate of gravitational wave sources is not yet 
measured directly, and we have only been able to place an upper limit 
on it from the absence of a detection of the Stochastic Gravitational Wave Background \citep{KAGRA:2021kbb}.
The absence of such a detection naturally leads to a bound on the lensing 
rate expected from GWTC-3 \citep{Mukherjee:2020tvr, Buscicchio:2020cij}.

By using the same power-law form for the merger rate as that used in 
Sec. \ref{sub:O3b_lensing_rate_strong}, but extended up to $z=2$, we obtain 
limits on the merger rate at redshift $z>1$ from the absence of detections 
of strongly lensed events.
The corresponding constraints ($90 \%$ credible intervals) are shown in 
Fig. \ref{fig:merger_rate_constraints_from_strong_lensing} as the 
cross-hatched region bounded by the dash-dotted curves.
The changes in the upper bound of the merger rates are driven by the 
absence of detected lensing events, whereas the lower bound is driven 
by the low-redshift constraints on the merger rate.
For comparison, the current limits on the merger rate from GWTC-3 up 
to redshift $z=1$ \citep{KAGRA:2021duu}, with the bounding 
curves extrapolated to higher redshifts $z>1$, are shown as the grey 
shaded region bounded by the dotted curves.
For further comparison, we have also plotted the solid black curves 
which show the current constraints from the absence of detection 
of the Stochastic Gravitational Wave Background \citep{KAGRA:2021kbb}.
The upper bounds on the merger rate from lensing are more stringent 
than the bounds from GWTC-3 at high redshift \citep{KAGRA:2021duu}, 
and are also comparable with the bounds from the Stochastic Gravitational Wave Background for redshifts $z< 1.2$.
The slight difference between the constraints on the merger rates at 
low redshift derived from the Stochastic Gravitational Wave Background \citep{KAGRA:2021kbb} and 
from GWTC-3 \citep{KAGRA:2021duu} arise because the bounds 
from the Stochastic Gravitational Wave Background are obtained here using the previous constraints 
on the merger rate at low redshift derived using GWTC-2 \citep{LIGOScientific:2020kqk}.

\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{RateInf_cbc_woStochL_PL_zeq2_mono.pdf}
\caption{
	Merger rate density as a function of redshift based on the GWTC-3 
	results without lensing constraints (grey) and with lensing 
	constraints (cross-hatching) included. 
	For clarity, we show only the results for galaxy-scale lenses.
	Because lensed detections may occur at higher redshifts than 
	unlensed events, their non-observation can be used to constrain 
	the rate of mergers at higher redshifts.
	The `No lensing' results shown here do not include constraints 
	derived from the absence of an Stochastic Gravitational Wave Background. The latter constraints 
	are shown separately by the solid black curves.
}
\label{fig:O3b_merger_rate_constraints_from_strong_lensing}
\index{figures}
\end{figure}

\subsection{\underline{Constraints on compact dark matter from gravitational-wave microlensing}}
\label{sub:O3b-dm-fraction}

{\bf Black holes and other compact objects have sizes comparable to their 
gravitational radius, and may cause microlensing effects on GW signals.}
Although their abundance is heavily constrained by several astronomical 
observations~\citep{Carr:2020xqk,Carr:2020gox}, the possibility of their 
contributing to dark matter cannot be ruled out in several mass windows.

Here we use the non-observation of microlensing effects on the gravitational wave 
signals detected by LIGO and Virgo to constrain the fraction of dark 
matter contributed by compact objects in the mass range 
$\sim 10^2$--$10^5~{M_\odot}$~\citep{Jung:2017flg,Urrutia:2021qak,Basak:2021ten}.
The essential idea is that if a significant fraction of dark matter 
is in the form of compact objects, they would introduce detectable 
microlensing signatures on the gravitational wave signals that we observe. 

Assuming that lensed and unlensed events occur as Poisson processes, 
we compute the posterior distribution on the lensing fraction ($u \equiv \LambdaL/\Lambda$), 
defined as the ratio of Poisson means of lensed events to the total 
number of detected events. This is then used to compute the posterior 
of the fraction of compact dark matter ($\fdm \equiv \Omega_\mathrm{CO}/\Omega_\mathrm{DM}$) \citep{Basak:2021ten}.
We take that a total of $N = 67$ binary black holes mergers are detected during 
the O3 run 
\footnote{
	These are the events cataloged in GWTC-3 that do not contain 
	a neutron star component.
}
, and none of them is lensed (i.e., $\NL = 0$). We then estimate the 
posterior distribution of the lensing fraction $u$.
Finally, the posterior of $\fdm$ can be computed as 
\begin{equation}
	p(\fdm \mid \{\NL = 0, N\})  =  p(u \mid \{\NL = 0, N\}) \left| \frac{\mathrm{d} u}{\mathrm{d}\fdm} \right|,
\label{eq:fdm_posterior}
\end{equation}
where $\mathrm{d}u/\mathrm{d}\fdm$ is the Jacobian that relates the 
observed fraction $u$ of lensed events to the compact dark matter 
fraction $\fdm$ in the Universe. 

We determine this Jacobian by simulating astrophysical populations of 
binary black holes mergers lensed by point mass lenses ~\citep{Basak:2021ten}.
\footnote{
	The simulations are done assuming the O3b representative 
	Power Spectral Density and Gaussian noise. The Jacobian is not expected 
	to change significantly if real noise is used instead.
}
The constraints we obtain depend upon the assumed distributions of 
the component masses, spins and the redshifts of the mergers, which 
have considerable uncertainties.
We assume that the masses are distributed according to the \textsc{Power-law + Peak} 
model of \citet{KAGRA:2021duu} while spins are assumed to be aligned/antialigned 
with the orbital angular momentum with magnitudes distributed uniformly 
in $(0, 0.99)$. We use the approximant \textsc{IMRPhenomD} \citep{Khan:2015jqa} 
to produce the waveforms.
We consider different redshift distributions of the mergers: uniform 
distribution in comoving volume, the power-law model of \citet{KAGRA:2021duu}, 
the Madau-Dickinson model \citep{Madau:2014bja}, as well as some 
representative population-synthesis models given by \citet{Dominik:2013tma} 
and \citet{Belczynski:2016obo}.
In our simulations, compact objects are approximated by point mass 
lenses and distributed uniformly in comoving volume.
Binaries producing a network signal-to-noise ratio of 8 or above in the 
LIGO--Virgo detectors are deemed detectable.
In order to reduce the computational cost of performing the simulations, 
we estimate $\BMLU$ using an approximation to the Bayes factor that 
is expected to be accurate in the high-signal-to-noise ratio regime~\citep{Cornish:2011ys,Vallisneri:2012qq}.
We then compute the fraction of detected events that produce 
a $\BMLU$ larger than the highest $\BMLU$ obtained from real 
LIGO--Virgo events.
This lensing fraction is computed as a function of the $\fdm$, 
which is used to compute the Jacobian $\mathrm{d}u/\mathrm{d}\fdm$.

\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{fdm_constraints_fdm_min_max.pdf}
\caption{
	The spread in the $90\%$ upper limits on $\fdm$ obtained from the 
	O3 events using $5$ different redshift distribution models for 
	binary black holes mergers: \citet{Belczynski:2016obo},\citet{Dominik:2013tma}, 
	\citet{Madau:2014bja}, \citet{KAGRA:2021duu} and uniform 
	in comoving $4$-volume, assuming a monochromatic mass spectrum for 
	the compact objects forming dark matter.
	The lens mass is shown on the horizontal axis.
	The grey (black) shaded regions correspond to the spread in $\fdm$ 
	upper bounds computed assuming flat (Jeffreys) prior on $\Lambda$ and $\LambdaL$.
	The upper and lower curves bounding the spreads correspond to the 
	most pessimistic (weakest) and optimistic (strongest) upper limits, 
	as determined from the set of assumed redshift distributions, in each mass bin.
	{\bf The current $\fdm$ constraints are weaker relative to other 
	corresponding EM constraints. We refer the reader to 
	\citep{Carr:2020xqk,Carr:2020gox,Connor:2022bwl} for comparison. 
	Nevertheless, these constraints are expected to improve significantly 
	with the increased detection of unlensed BBHs in forthcoming 
	LVK observing runs.}
}
\label{fig:O3b_spread_in_fdm_upperlimits}
\index{figures}
\end{figure}

The largest value of the microlensing likelihood ratio obtained from GWTC-3 
events is $\log_{10}\BMLU = 0.799$. 
We compute the fraction of simulated events with $\log_{10}\BMLU \geq 0.799$, 
for different lens masses.
This allows us to compute the Jacobian $\mathrm{d}u/\mathrm{d}\fdm$ and 
thus the posterior on $\fdm$. 
The 90\% upper limits are shown as a function of the lens mass (assuming 
a monochromatic spectrum) in Fig.~\ref{fig:O3b_spread_in_fdm_upperlimits}. 
{\bf A number of bounds on $\fdm$, for masses comparable to the mass range 
considered in this analysis, have been estimated, notably from EM searches 
for microlensed events. These include constraints from searches for lensed 
FRBs \citep{Munoz:2016tmg,Li:2017mek,Connor:2022bwl}, 
GRBs \citep{Lin:2021hae,Paynter:2021wmb,hurley2019},
radio emissions from active galaxies \citep{Vedantham:2017kyb}; 
from searches in archival EROS-2 and MACHO photometric data for Galactic 
microlenses \citep{Blaineau:2022nhy}; and from searches for microlensed 
quasars \citep{Esteban-Gutierrez:2022lbt} and 
supernovae \citep{Zumalacarregui:2017qqd,Garcia-Bellido:2017imq}. 
The bounds we obtain are weaker than several of these constraints, some 
of which are well below $1\%$, as compared to the $\mathcal{O}(10\%)$ 
constraints obtained from our analysis. Nevertheless, GWs are a fundamentally 
different messenger than EM waves, and do not suffer from the same 
uncertainties and systematics. Thus, acquiring constraints from the 
non-detection of GW microlensing is a worthwhile exercise, even though 
presently they are modest.

The weak constraints can be attributed to an insufficient number of 
BBH detections. Indeed, the gravitational wave lensing bounds will improve 
significantly in the next few years as the sensitivity of gravitational wave 
detectors improve \citep{KAGRA:2013rdx} resulting in a sizeable 
increase in observed BBHs. Assuming $\sim 300$ binary black holes detections 
in O4 and $\mathcal{O}(1000)$ detections in O5, the constraints 
on $\fdm$ will improve to $\sim 10^{-1}$ and $\sim 10^{-2}$, 
respectively.}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\section{Concluding Remarks}
\label{sec:O3b_conclusion}

We have extended the search for lensing signatures to all binary black holes 
candidates with a probability of astrophysical origin higher than 
$0.5$ from O3b~\citep{KAGRA:2021vkt}.
While we have not observed any significant candidates for strongly 
lensed events, we updated the constraints on the rate of such events 
from several different analyses.
First, we searched for sub-threshold repeated signals associated with 
super-threshold events using reduced template banks produced from the 
posterior probability distributions of the super-threshold events.
Interesting sub-threshold/super-threshold pairs and pairs formed from 
two super-threshold events were further analyzed for their probability 
of being from a single, strongly lensed source.
For super-threshold/super-threshold pairs, we calculated the degree of 
overlap between the posteriors of the intrinsic parameters and sky 
location, which were obtained from Bayesian inference.
Moreover, we analyzed these pairs using a new analysis based on the 
comparison of spectrograms through machine learning.
Finally, pairs with false-positive probability from either analysis 
smaller than $10^{-2}$ were further studied by conducting full joint 
Bayesian inference analyses that take population priors and selection 
effects into account.
We found no pairs that show significant evidence for strong lensing.

The events from O3b were also analyzed for distortions caused by the 
lens on the gravitational waveform.
First, we searched for the distortions that lensing introduces on 
type II signals, which are in the form of a frequency-independent 
phase shift (Morse phase).
The Bayes factors for all events show no evidence for type II signal 
distortions.
Similarly, we searched for the frequency-dependent distortions 
caused by point masses.
None of the computed Bayes factors show any significant signs of 
microlensing.
For both analyses, some events show interesting features in the 
posteriors for the Morse phase or lens mass.
However, follow-up analyses using simulated signals show no further 
signs of the lensing nature of these features.
Altogether, we found no significant evidence for distortions of the 
gravitational waveforms that can be attributed to lensing.

The lack of evidence for lensing is then used to infer properties 
of the lensing rates and to set constraints on the dark matter 
fraction of (dark) compact objects.

Finally, we note that our conclusions are based on estimates and 
assumptions that are in line with other analyses from the LIGO--Virgo--KAGRA 
Collaboration \citep{KAGRA:2021vkt,KAGRA:2021duu}.
It is possible to arrive at different conclusions and interpretations 
if assumptions are chosen differently.
Examples include claims that almost all detections are strongly lensed 
if one assumes that heavy black holes do not exist \citep{Broadhurst:2018saj,Broadhurst:2020moy,Broadhurst:2020cvm}.
Data from the upcoming observing runs are expected to further expand 
the catalog of gravitational wave detections that can further shed light on the 
lensing of gravitational waves \citep{KAGRA:2013rdx}.
Moreover, multi-messenger astronomy may provide significant input in 
confirming and interpreting possible lensed gravitational wave signals \citep{Wempe:2022zlk}.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\begin{subappendices}

\section{Type II simulation campaigns} 
\label{sec:O3b_app_typeII}

Given the mild evidence of GW190412 and GW200129\_065458 towards being 
a type II strongly lensed image presented in Sec. \ref{sec:O3b_typeII}, 
we follow up on these events by doing an injection campaign where we 
simulate type I and type II images similar to the events, and verify 
whether the posteriors recovered are compatible with the distribution 
observed for the real events. 
These injections are performed in different noise realizations and 
with different waveform models. 
The observed feature could be caused by two main other effects than 
a type II image: noise artifacts or systematic effects in the waveform modeling. 
In the former, non-Gaussianities in the noise could be such that 
they lead to the observation of spurious features, while in the 
latter case, the specific combination of observed parameters could 
lead to some systematic issues in fitting with the waveform model. 
Waveform systematics might be especially important for these events 
since they lie in challenging parts of the parameter 
space~\citep{LIGOScientific:2020stg,Colleoni:2020tgc,Hannam:2021pit}. 
Moreover, for GW200129\_065458 \citet{Payne:2022spz} reports that 
there could be a significant glitch under subtraction. 

To test for the noise-related features, we generate colored Gaussian 
noise from the PSD around the time of the candidate and then inject 
the maximum likelihood parameters coming from the parameter estimation 
and take the Morse factor to be either the value for a type I or a type II image.
In the first step, we do this for only one noise realization for each 
event to see whether we can reproduce similar features or not.
For GW200129\_065458, the injection shows that the effect is too weak 
to be distinguishable from one image type to the other, as can be seen 
in the uninformative posteriors of Fig.~\ref{fig:O3b_S200129m_Injection}.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{S200129m_followup_typeII_injections.pdf}
\caption{
	Posterior distribution of the Morse phase for GW200129\_065458. 
	We compare the real event posterior (solid-blue) with an injection 
	campaign of type I (dashed-orange) and type II (dotted-green) images. 
	Type II images correspond to $n_1=1/2$.
	For this event, the differences between the distribution are small 
	and make it difficult to learn anything additional about the event. 
	The Kolmogorov--Smirnov statistic is $0.07$ for type I vs real, 
	and $0.08$ for type II vs real.
}
\label{fig:O3b_S200129m_Injection}
\index{figures}
\end{figure}
As a consequence, no further investigation is done into this event.
On the other hand, for GW190412, the feature seen in the real data is 
compatible with the one seen in the injection (see Fig.~\ref{fig:O3b_S190412m_InjectionFirst}).
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{S190412m_followup_typeII_injections.pdf}
\caption{
	Posterior distribution of the Morse phase for GW190412. 
	We compare the real event posterior (solid-blue) with an injection 
	campaign of type I (dashed-orange) and type II (dotted-green) images. 
	Type II images correspond to $n_1=1/2$. 
	For this event, the peak seen in the real data and the one seen for 
	the type II image are compatible, hinting at a possible type II image. 
	In this case, the Kolmogorov--Smirnov statistic is $0.20$ for 
	type I vs real, and $0.13$ for type II vs real.
}
\label{fig:O3b_S190412m_InjectionFirst}
\index{figures}
\end{figure}

Given that the real-data results are compatible with the type II injection 
for GW190412, we investigate further the noise hypothesis. 
For this purpose, we take the maximum likelihood parameters and a Morse 
factor of $0$ or $1/2$ and inject the signal generated with the 
\IMRXPHM~\citep{Pratten:2020ceb} model in ten different noise realizations. 
We then repeat the analysis in the same way as for the real signal and 
verify if we retrieve the same preference for a type II image. 
For all the noise realizations used here, we see the same behavior 
as in Fig.~\ref{fig:O3b_S190412m_InjectionFirst}.

We perform an extra test by injecting the maximum likelihood parameters 
with a given image type in the generated noise for different waveform models.
We use the \textsc{IMRPhenomPv3HM}~\citep{Khan:2019kot} and the 
\textsc{SEOBNRv4PHM}~\citep{Ossokine:2020kjp} model to generate the signal 
and use the \IMRXPHM~\citep{Pratten:2020ceb} model to recover it. 
This enables us to combine the two possible sources of systematics. 
This way, we can verify whether a different noise combined with a different 
model also leads to a preference for type II images. 
For all the noise realizations and the two models used for the injections, 
we find that the injections always recover the correct hypothesis, and the 
fact that the real event supports type II is unlikely to be a result of noise 
or waveform artifacts, as shown in Fig.~\ref{fig:O3b_OtherWaveformsTypeII}. 
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{S190412m_OtherWFinj_XPHMrecovery.pdf}
\caption{
	Comparison of the Morse factor distribution for the real event 
	(solid-purple) with the recovered posterior distribution for an 
	injection made with \textsc{IMRPhenomPv3HM} for a type I image 
	(dashed-blue) and a type II image (dotted-orange), and with an 
	injection made with \textsc{SEOBNRv4PHM} for a type I image 
	(dashed-green) and a type II image (dotted-red).
	In all the cases, the posterior distributions agree with the 
	injected data, with the real event resembling a type II image.
}
\label{fig:O3b_OtherWaveformsTypeII}
\index{figures}
\end{figure}

Although these tests do not discard the type II image hypothesis, 
they cannot conclusively confirm it. 
To confirm the presence of lensing for this event with a mild 
preference for a type II image, we would need additional evidence. 
Therefore, we search for possible sub-threshold counterparts with 
the methodology explained in Sec.~\ref{sec:O3b_subthreshold}. 
However, we find only marginal triggers.

In the end, these additional searches did not enable us to find 
any extra evidence for lensing, while still not ruling out the 
possibility for GW190412 to be a type II image.


\section{Marginalized Posteriors of Microlensing Parameters}
\label{sec:O3b_app_micro}

As a supplement to the distribution of $\log_{10}$~Bayes factors 
$\BMLU$ shown in Fig.~\ref{fig:O3b_micro_BLUdistr}, we show the 
individual marginalized posterior distributions of redshifted lens 
mass $\MzL$ and $\log_{10}\BMLU$ (right vertical axis) in Fig.~\ref{fig:O3b_micro_violin}.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{O3b_microlensing_final_results.pdf}
\caption{
	Marginalized posterior distributions of redshifted lens mass $\MzL$ and 
	$\log_{10}\BMLU$ between microlensed and unlensed hypotheses.
}
\label{fig:O3b_micro_violin}
\index{figures}
\end{figure}
The Bayes factors individually do not show clear evidence for 
microlensing by point-mass lenses.
However, several events show a narrow posterior distribution 
of the redshifted lens mass.
An example is GW200208\_130117 (with $\log_{10}\BMLU = 0.8$), 
for which the waveform corresponding to the maximum posterior for 
this event, with and without lensing, is shown in Fig.~\ref{fig:O3b_micro_waveform}.
\begin{figure}[hbt!]
\centering
\includegraphics[width=\textwidth]{wavefig_200208q_final.pdf}
\caption{
	The time-domain waveform corresponding to the maximum posterior of 
	GW200208\_130117, with and without the microlensing hypothesis.
}
\label{fig:O3b_micro_waveform}
\index{figures}
\end{figure}
The beating pattern introduced by the point-mass lens is most visible 
as a reduction of the amplitude for two cycles in the middle of the 
signal and an increase in the amplitude before and after this reduction.
We hypothesize that short-duration noise fluctuations may have caused 
an apparent dip in the signal, which in turn may have led to a 
distortion similar to a point-mass lens beating pattern.
This is corroborated by a low Bayes factor $\BMLU$, which concludes 
the data is inconclusive about the microlensing hypothesis.

\end{subappendices}




%\begin{figure}[hbt!]
%\centering
%\includegraphics[width=\textwidth]{cross_polarization.png}
%\caption{Cross Polarization.}\label{fig:cross_polarization}
%\index{figures}
%\end{figure}


%\begin{subappendices}
%\section{Some title for an appendix}
%\lipsum[4]
%\section{Some title for an appendix}
%\lipsum[4]
%\end{subappendices}

%\begin{table*}
%\caption{
%\label{tab:mag_lensing_results}
%Inferred properties of selected O3a events under the lensing magnification hypothesis.}
%\begin{center}
%\begin{adjustbox}{minipage=1.1\textwidth, center}
%\begin{tabular}{lllll}
%\end{tabular}
%\end{adjustbox}
%\end{center}
%\tablecomments{
%}
%\end{table*}

%\newgeometry{left=1cm,right=1cm}
%\begin{landscape}
%\begin{longtable}{ccccccc} % Use longtable environment with custom column format
%\captionsetup{justification=centering}
%\caption{
%}\\
%\hspace{-1.75cm}
%\label{table:subthresh-search-results}
	%UTC time & GWTC-2 & $|\Delta t |$ [d] & \multicolumn{2}{c}{\far $\left[\text{yr}^{-1}\right]$} & $O_{90\%\mathrm{CR}}$ & $\log_{10}\cohratio$ (\linf) \\
	%\endfirsthead % Header for the first page
	%& target event & & \pycbc & GstLAL & [\%] & ($\Delta\phi$: $0$, $\pi/2$, $\pi$, $3\pi/2$) \\
	%\endhead % Header for subsequent pages
	%\hline\\[0.2ex]
	%\multicolumn{7}{c}{\textit{Continued on next page}}
	%\endfoot % Footer for all pages except the last one
	%\hline\\[0.2ex]
	%\multicolumn{7}{l}{\parbox{\linewidth}{
	%}}
	%\endlastfoot % Footer for the last page
%\end{longtable}
%%\end{landscape}
%\restoregeometry


